/**
 * Fetches the if the table primary_key is auto_increment, based on its name.
 * @param {object} Model - model to use
 * @returns {boolean}
 */
exports.getAutogenerated = function getAutogenerated (Model) {
	if (Model.metadata && Model.metadata.primaryKeyDetails) {
		return !!Model.metadata.primaryKeyDetails.autogenerated;
	}
	const name = this.getTableName(Model);
	const primaryKeyColumn = this.getPrimaryKeyColumn(Model);
	if (primaryKeyColumn) {
		return this.schema.objects[name][primaryKeyColumn].identity_increment > -1;
	}
};
